<template>
  <Page>
    <ActionBar title="Welcome to NativeScript-Vue!" />
    <StackLayout>
      <Label class="message" :text="msg" />
      <Button text='?????' @tap="buttonAction()" />
      <Button text='Counter' @tap="goToCounter()" />
      <Button text='Picture' @tap="goToPicture()" />
      <Button text='Accelerometer' @tap="goToAcc()" />
      <Button text='Game' @tap="goToGame()" />
      <Button text='Swipe' @tap="goToSwipe()" />
      <Button text='Puissance' @tap="goToPuissance()" />
    </StackLayout>
  </Page>
</template>

<script >
import ExoLayoutVue from '@/components/ExoLayout.vue';
import PictureVue from '@/components/Picture.vue';
import AccVue from '@/components/Acc.vue';
import GameVue from '@/components/Game.vue';
import SwipeVue from '@/components/Swipe.vue';
import PuissanceVue from '@/components/Puissance.vue';

export default {
  data() {
    return {
      msg: 'Boloss'
    }
  },
  methods: {
    buttonAction() {
      alert('FATAL STRIKE ON YOU');
    },
    goToCounter() {
      this.$navigateTo(ExoLayoutVue)
    },
    goToPicture() {
      this.$navigateTo(PictureVue)
    },
    goToAcc() {
      this.$navigateTo(AccVue)
    },
    goToGame() {
      this.$navigateTo(GameVue)
    },
    goToSwipe(){
      this.$navigateTo(SwipeVue)      
    },
    goToPuissance(){
      this.$navigateTo(PuissanceVue)      
    }
  }
}
</script>

<style scoped>
ActionBar {
  background-color: #cf1371;
  color: #ffffff;
}

.message {
  vertical-align: center;
  text-align: center;
  font-size: 20;
  color: #333333;
}
</style>
